LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
Defaulted< T > Struct Reference

A value of a given type that can be defaulted. More...

`import"Defaulted.idl";`

## Public Attributes
T | Value
| The underlying value of this structure instance. More...
boolean | IsDefaulted
| Marks this structure instance as defaulted. More...

## Detailed Description

A value of a given type that can be defaulted.

This structure is used as the type of interface attributes corresponding to instances of com::sun::star::beans::Property that have the com::sun::star::beans::PropertyAttribute::MAYBEDEFAULT.

## Member Data Documentation

boolean IsDefaulted

Marks this structure instance as defaulted.

T Value

The underlying value of this structure instance.

Even if this structure instance is defaulted, this member should contain a useful value. If there is no useful value for a defaulted structure instance, com::sun::star::beans::Optional can be used as the type of this member.

The documentation for this struct was generated from the following file:

- com/sun/star/beans/Defaulted.idl